<!-- initialize drag and drop -->
window.onload = function init() {	// onload event
	// initialization
	REDIPS.drag.init();
	// dragged elements can be placed to the empty cells only
	REDIPS.drag.drop_option = 'single';
	// elements could be cloned with pressed CTRL button
	REDIPS.drag.clone_ctrlKey = true;
	// don't ask on delete
	REDIPS.drag.trash_ask = false;
	
	var rd = REDIPS.drag;	// reference to the REDIPS.drag class
	// initialization
	rd.init();
	// define source elements for the last row only (element ID and class name of the last row)
	rd.only.div.a = 'class';
	// after element is cloned define dropping for class - only for clones of element
	rd.myhandler_cloned = function () {
		// "cloned" event handler uses reference of the source element (not cloned element)
		set_drop_option(rd.obj_old);
		// define variables
		var cloned_id = rd.obj.id; // cloned id
		// if cloned if begins with a or b define dropping only for class row
		if (cloned_id.substr(0, 1) === 'a') {
			rd.only.div[cloned_id] = 'class';
		}
	}
	
	// define ? elements for ? cells
	rd.mark.exception.c = 'c';
	rd.mark.exception.d = 'd';
	rd.mark.exception.e = 'e';
	rd.mark.exception.f = 'f';
	rd.mark.exception.g = 'g';
	
	// "moved" event handler uses reference of the moved element
	rd.myhandler_moved = function () {
		set_drop_option(rd.obj);
	}
	
	// set drop option regarding to the table where DIV element belongs
	function set_drop_option (el) {
		// loop up until found table
		while (el && el.nodeName !== 'TABLE') {
			el = el.parentNode;
		}
		// loop ends and "el" position should be table
		if (el.id === 'playerData') {
			rd.drop_option = 'switch';
		} else if (el.id === 'classes' || el.id === 'wepons' || el.id === 'ability' || el.id === 'armor' || el.id === 'rings' || el.id === 'consumable') {
			rd.drop_option = 'overwrite';
		} else {
			rd.drop_option = 'single';
		}
	}
}